package school_project.Utils;

import org.junit.jupiter.api.Test;

import static org.junit.jupiter.api.Assertions.*;

class ArrayTest {

    @Test
    void matrixCopyOf() {
        boolean[][] a = new boolean[][] {
                {true, false, true},
                {false, false, false},
                {true, false, true},
        };
        boolean[][] b = new boolean[][] {
                {true, false, true},
                {false, false, false},
                {true, false, true},
        };
        boolean[][] c = Array.MatrixCopyOf(a);
        assertArrayEquals(a, c);
        a[1][1] = true;
        assertArrayEquals(b, c);
    }
}